RENAME(1)

NAZWA
rename - zmienia nazwy plików

SKŁADNIA

rename [options] substring replacement file...

OPIS

rename will rename the specified files by replacing the first occurrence of substring in their name by replacement.

OPCJE

-s, --symlink
    Nie zmienia nazwy dowiązania symbolicznego, tylko pliku, na który ono wskazuje.

-v, --verbose
    Wypisuje pliki o zmienianej nazwie, jeśli występują.

-n, --no-act
    Nie dokonuje zmian; łącznie z opcją --verbose pokazuje, co zostałoby zmienione.

-a, --all
    Replace all occurrences of substring rather than only the first one.

-l, --last
    Replace the last occurrence of substring rather than the first one.

-o, --no-overwrite
    Nie nadpisuje istniejących plików. Gdy działa opcja --symlink, nie nadpisuje dowiązań symbolicznych wskazujących na istniejące cele.

-i, --interactive
    Pyta przed nadpisaniem istniejących plików.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

OSTRZEŻENIE

Operacja zmiany nazwy domyślnie nie ma żadnych bezpieczników, o ile nie podano którejś z opcji --no-overwrite, --interactive lub --no-act. Jeśli tylko użytkownik ma uprawnienia do zmiany nazwy plików, niniejsze polecenie zrobi to bez zadawania zbędnych pytań. Rezultaty mogą być dość drastyczne, jeśli użyje się polecenia na przykład jako root w katalogu /lib. Przed uruchomieniem polecenia proszę zawsze wykonać kopię zapasową, chyba że naprawdę jest się pewnym swoich działań.

SKRAJNE PRZYPADKI

If substring is empty, then by default replacement will be added to the start of the filename. With --all, replacement will be inserted in between every two characters of the filename, as well as at the start and end.

Normally, only the final path component of a filename is updated. (Or with --symlink, only the final path component of the link.) But if either substring or replacement contains a /, the full path is updated. This can cause a file to be moved between folders. Creating folders, and moving files between filesystems, is not supported.

TRYB INTERAKTYWNY

Podobnie jak większość standardowych narzędzi, rename może być używany na urządzeniu terminala (w skrócie tty) w trybie kanonicznym, gdzie wiersz jest buforowany przez tty i konieczne jest potwierdzenie wejścia użytkownika klawiszem ENTER. Jeśli jednak ustawi się tty w trybie cbreak, potwierdzanie pytań programu będzie się odbywać jedynie pojedynczym klawiszem. Tryb cbreak można ustawić przykładowo poleceniem:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i wyrażenie zamiennik pliki

STATUS ZAKOŃCZENIA

0
    wszystkie żądane operacje zmiany nazwy powiodły się

1
    wszystkie operacje zmiany nazwy zawiodły

2
    niektóre operacje zmiany nazwy nie powiodły się

4
    nie zmieniono żadnej nazwy

64
    wystąpił nieoczekiwany błąd

PRZYKŁADY

Mając dane pliki foo1, ..., foo9, foo10, ..., foo278, polecenie

    rename foo foo00 foo?
    rename foo foo0 foo??

zmieni ich nazwy na foo001, ..., foo009, foo010, ..., foo278. Natomiast

    rename .htm .html *.htm

poprawi rozszerzenie plików htm na html. Aby skrócić nazwę można podać łańcuch pusty:

    rename '_z_długą_nazwą' '' plik_z_długą_nazwą.*

usunie wskazany podłańcuch z nazw plików.

ZOBACZ TAKŻE

mv(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie rename jest częścią pakietu util-linux, który można pobrać ze strony